OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.Hints

Description

This module corresponds to section 5.6 (Hints) of the OpenGL 2.1 specs.

# Documentation

data HintTarget

Constructors

PerspectiveCorrection |
PointSmooth |
LineSmooth |
PolygonSmooth |
Fog |
GenerateMipmap |
TextureCompression |
PackCMYK |
UnpackCMYK |

Instances

Eq HintTarget |
Ord HintTarget |
Show HintTarget |

data HintMode

Constructors

DontCare |
Fastest |
Nicest |

Instances

Eq HintMode |
Ord HintMode |
Show HintMode |

hint :: HintTarget -> StateVar HintMode